Mailinglist Archive: opensuse-packaging (107 mails)

< Previous Next >
Re: [opensuse-packaging] When a -devel package should require another -devel package?
  • From: Stefan Dirsch <sndirsch@xxxxxxx>
  • Date: Fri, 29 May 2009 14:23:36 +0200
  • Message-id: <20090529122336.GA31649@xxxxxxx>
On Fri, May 29, 2009 at 07:35:56AM -0400, Cristian Rodríguez wrote:
Michael Matz escribió:
But you should go to great
lengths to make it happen, including bitching to other package
maintainers, those might be the reason why "your" .la can't go away.

Been there, done that ..painful experience. ;-)

Make sure you do this change *only* for factory, i.e. use '%if
%suse_version > 1110' at the moment. Otherwise, if this package lives
in a devel project, which is also built for older distributions, such
a change can and likely will break such older distributions, which are
updated from these devel projects. We had this with X11:XOrg. :-( Poor
Egbert needed to fix this, since we're using part of X11:XOrg for
Moblin ...

Best regards,
Stefan

Public Key available
------------------------------------------------------
Stefan Dirsch (Res. & Dev.) SUSE LINUX Products GmbH
Tel: 0911-740 53 0 Maxfeldstraße 5
FAX: 0911-740 53 479 D-90409 Nürnberg
http://www.suse.de Germany
-----------------------------------------------------------------
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nürnberg)
-----------------------------------------------------------------
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >